Bug 157384 - Allow BSSID selection in scan widget
Summary: Allow BSSID selection in scan widget
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Control Module (show other bugs)
Version: 0.9
Platform: Ubuntu Packages Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 160842 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-02-08 00:59 UTC by jorrieal
Modified: 2011-05-26 23:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jorrieal 2008-02-08 00:59:46 UTC
Version:            (using KDE 3.5.7)
Installed from:    Ubuntu Packages
OS:                Linux

If two networks have the same ESSID knetwork manager only will recognize one. Making it impossible to connect to the one not displayed even though they're in different channels
Comment 1 Will Stephenson 2008-06-15 12:12:39 UTC
*** Bug 160842 has been marked as a duplicate of this bug. ***
Comment 2 Will Stephenson 2009-02-05 17:23:37 UTC
This is possible with NetworkManager 0.7 but I need to do some more work to support it in the UI. 
Comment 3 Will Stephenson 2009-02-05 17:23:37 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 Will Stephenson 2009-07-31 20:13:53 UTC
We now have a scan widget which could show different APs per network, and we have a field to specify which AP BSSID to use.
Comment 5 Sven Lankes 2010-07-10 20:12:01 UTC
Entering a BSSID doesn't work - see bug #238046
Comment 6 Ilia Kats 2011-05-10 21:35:16 UTC
Git commit 3b5f1db3beddaa33492e26a8fdce302313b5a4c1 by Ilia Kats.
Committed on 10/05/2011 at 21:30.
Pushed by iliakats into branch 'master'.

Allow to automatically set the connection's BSSID to the BSSID of the
AP selected in the scanwidget.

BUG: 157384

M  +7    -5    libs/ui/802_11_wirelesswidget.cpp     
M  +16   -3    libs/ui/scanwidget.cpp     
M  +1    -1    libs/ui/scanwidget.h     
M  +33   -1    libs/ui/scanwidget.ui     

http://commits.kde.org/networkmanagement/3b5f1db3beddaa33492e26a8fdce302313b5a4c1
Comment 7 Ilia Kats 2011-05-10 21:36:34 UTC
Git commit bdcbd95b5ea9f388bbfdcd53b8c9077016a231ad by Ilia Kats.
Committed on 10/05/2011 at 21:30.
Pushed by iliakats into branch 'nm09'.

Allow to automatically set the connection's BSSID to the BSSID of the
AP selected in the scanwidget.

BUG: 157384
(cherry picked from commit 3b5f1db3beddaa33492e26a8fdce302313b5a4c1)

M  +7    -5    libs/ui/802_11_wirelesswidget.cpp     
M  +16   -3    libs/ui/scanwidget.cpp     
M  +1    -1    libs/ui/scanwidget.h     
M  +33   -1    libs/ui/scanwidget.ui     

http://commits.kde.org/networkmanagement/bdcbd95b5ea9f388bbfdcd53b8c9077016a231ad
Comment 8 Will Stephenson 2011-05-26 23:50:46 UTC
Git commit 470f8e849c4b25d45153cb0a58d758b37c4c0fb7 by Will Stephenson, on behalf of Ilia Kats.
Committed on 10/05/2011 at 21:30.
Pushed by wstephens into branch 'libnm-qt'.

Allow to automatically set the connection's BSSID to the BSSID of the
AP selected in the scanwidget.

BUG: 157384
(cherry picked from commit 3b5f1db3beddaa33492e26a8fdce302313b5a4c1)
(cherry picked from commit bdcbd95b5ea9f388bbfdcd53b8c9077016a231ad)

M  +7    -5    libs/ui/802_11_wirelesswidget.cpp     
M  +16   -3    libs/ui/scanwidget.cpp     
M  +1    -1    libs/ui/scanwidget.h     
M  +33   -1    libs/ui/scanwidget.ui     

http://commits.kde.org/networkmanagement/470f8e849c4b25d45153cb0a58d758b37c4c0fb7